[Pythonmac-SIG] python 2.4.2 source builds 2.4.1?

Samuel M. Smith smithsm at samuelsmith.org
Fri Jan 13 02:46:37 CET 2006


>
> I'll repeat myself and be more explicit about why I said what I  
> said...
>
> You must run it with DYLD_FRAMEWORK_PATH=. if it's not installed  
> yet.  It has *absolutely nothing* to do with the fact that there is  
> an existing framework somewhere else.  In other words: it's not  
> linked wrong, you ran it incorrectly.
>

This worked for me. I think our emails crossed. Thanks for the help.  
For linux builds I was used to
to being able to run the python.exe that is made by make before  
running install, as a check for a good build
  so I was surprised that it was giving me unexpected results. I  
didn't appreciate that there is some magic happening with framework  
builds.

I hope these details make it onto the revised python documentation on  
the website.






More information about the Pythonmac-SIG mailing list